%{!?__pear: %{expand: %%global __pear %{_bindir}/pear}}
%global pear_name Image_Color

Name:           php-pear-Image-Color
Version:        1.0.4
Release:        2%{?dist}
Summary:        Manage and handles color data and conversions

Group:          Development/Libraries
License:        LGPLv2

URL:            http://pear.php.net/package/Image_Color
Source0:        http://pear.php.net/get/%{pear_name}-%{version}.tgz

BuildRoot:      %{_tmppath}/%{name}-%{version}-%{release}-root-%(%{__id_u} -n)

BuildArch:      noarch
BuildRequires:  php-pear >= 1:1.4.9-1.2
# For test suite
BuildRequires:  php-pear(pear.phpunit.de/PHPUnit)

Requires:       php-pear(PEAR)
Requires:       php-gd
Requires(post): %{__pear}
Requires(postun): %{__pear}
Provides:       php-pear(%{pear_name}) = %{version}

%description
%{summary}.


%prep
%setup -qc

# Create a "localized" php.ini to avoid build warning
cp /etc/php.ini .
echo "date.timezone=UTC" >>php.ini


cd %{pear_name}-%{version}
# Package.xml is V2
mv ../package.xml %{name}.xml


%build
cd %{pear_name}-%{version}
# Empty build section, most likely nothing required.


%install
cd %{pear_name}-%{version}
rm -rf $RPM_BUILD_ROOT docdir
PHPRC=../php.ini %{__pear} install --nodeps --packagingroot $RPM_BUILD_ROOT %{name}.xml

# Clean up unnecessary files
rm -rf $RPM_BUILD_ROOT%{pear_phpdir}/.??*

# Install XML package description
install -d $RPM_BUILD_ROOT%{pear_xmldir}
install -pm 644 %{name}.xml $RPM_BUILD_ROOT%{pear_xmldir}


%check
cd %{pear_name}-%{version}
phpunit Tests


%clean
rm -rf $RPM_BUILD_ROOT


%post
%{__pear} install --nodeps --soft --force --register-only \
    %{pear_xmldir}/%{name}.xml >/dev/null || :

%postun
if [ $1 -eq 0 ] ; then
    %{__pear} uninstall --nodeps --ignore-errors --register-only \
        %{pear_name} >/dev/null || :
fi


%files
%defattr(-,root,root,-)
%{pear_xmldir}/%{name}.xml
%{pear_phpdir}/Image


%changelog
* Wed Feb 09 2011 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 1.0.4-2
- Rebuilt for https://fedoraproject.org/wiki/Fedora_15_Mass_Rebuild

* Sun Aug 15 2010 Remi Collet <Fedora@FamilleCollet.com> - 1.0.4-1
- Upstream relicensing under LGPL 2.1.
- add %%check
- rename Image_Color.xml to php-pear-Image-Color.xml
- set date.timezone during build

* Mon Sep 07 2009 Christopher Stone <chris.stone@gmail.com> 1.0.3-1
- Upstream sync

* Sun Jul 26 2009 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 1.0.2-7
- Rebuilt for https://fedoraproject.org/wiki/Fedora_12_Mass_Rebuild

* Thu Feb 26 2009 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 1.0.2-6
- Rebuilt for https://fedoraproject.org/wiki/Fedora_11_Mass_Rebuild

* Thu Oct 23 2008 Christopher Stone <chris.stone@gmail.com> 1.0.2-5
- Update LICENSE to 3.01

* Thu Aug 28 2008 Tom "spot" Callaway <tcallawa@redhat.com> 1.0.2-4
- fix license tag

* Sun Jan 14 2007 Christopher Stone <chris.stone@gmail.com> 1.0.2-3
- Use correct version of PHP License

* Thu Dec 07 2006 Christopher Stone <chris.stone@gmail.com> 1.0.2-2
- Add Image dir to %%files

* Sun Dec 03 2006 Christopher Stone <chris.stone@gmail.com> 1.0.2-1
- Initial Release
